[zfs-discuss] ZFS package on Raspbian 9

mabi mabi at protonmail.ch
Tue Apr 10 14:29:59 EDT 2018


‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
On April 9, 2018 11:58 PM, ray vantassle <rayvantassle at gmail.com> wrote:

> A: There's a bug in the configuration file of spl version 0.6.5.9, so it won't configure and therefore won't build on kernel 4.14.32-v7+. So the make fails.  Somewhere about checking "vfs_getattr".  Probably would work if you fixed the configure file.

Against which version of the Linux kernel headers where you compiling ZFS? Because the kernel version 4.14 headers are not available yet for Raspbian 9. Or did you maybe manually download and unpack them under /usr/src? and how is it possible that you have kernel version 4.14.32 whereas I only have 4.14.30 and I am up-to-date?

>  Actually, the only reason I did this in the first place was to have an excuse to avoid working on our taxes.  ;-)

That was a wise choice and definitely preferable ;-)
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://list.zfsonlinux.org/pipermail/zfs-discuss/attachments/20180410/0fdbf91f/attachment.html>


More information about the zfs-discuss mailing list